<?php
require_once('../wu_init.php');
require('../wu-functions/wu_functions.php');
include('wu_checkadmin.php');
if (!wu_token()) { exit('wu-error'); }
if (!USER_LOGGED) { exit('wu-error'); }

if(isset($_POST['id']) && isset($_POST['reas'])){
if(!empty($_POST['id']) && !empty($_POST['reas'])){
$id = intval($_POST['id']);
$reas = mysqli_real_escape_string($connect_db, $_POST['reas']);
$cus = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT id,usr,ti FROM ".DB_PREFIX."_es WHERE id='$id' LIMIT 1"));

//Отправка уведомления в личный кабинет и уведомления на E-mail
$msg = "Товар $cus[ti] отправлен на дооформление по следующей причине: $reas";
mysqli_query($connect_db, "INSERT INTO `".DB_PREFIX."_notif` (usr,msg,st,dt) VALUES ('$cus[usr]','$msg','0','$dt')");
wu_email_send_usr($cus['usr'], 'Новое уведомление', $msg);


mysqli_query($connect_db, "UPDATE ".DB_PREFIX."_es SET st = '2', reas = '$reas' WHERE id='$id' LIMIT 1");
mysqli_query($connect_db, "UPDATE ".DB_PREFIX."_users SET rat=rat-0.05 WHERE uid='$cus[usr]' LIMIT 1");
exit('1');
} else { exit('0'); }
} else { exit('3'); }
?>